# Method Parser.HTML()->feed()

Method feed

  ``Parser.HTML` feed()`
  ``Parser.HTML` feed(`string` `s`, `void`|`int` `do_parse`)`

Description

  Feed new data to the Parser.HTML object. This will start a scan and may result in callbacks. Note that it's possible that all data fed isn't processed - to do that, call finish().

  If the function is called without arguments, no data is fed, but the parser is run. If the string argument is followed by a `0`, `->feed(s,0);`, the string is fed, but the parser isn't run.

Returns

  Returns the object being called.

See also

  finish, read, feed_insert